Skip to main content

21) Encryption Using DS Header

Creating Secure Documents Using DS Headers

API

MethodURL
POST/api/encryption/header

Request Body

NameRequiredTypeDescription
licenseKeyrequiredstringEnter the issued license in the integration app management menu of the SHIELDRM admin page.
docuKeyrequiredstringDocuKey created with a user key used for plaintext document encryption
encHeaderInforequiredstringDS header information to be encrypted (base64Encode)
srcFilePathrequiredstringOriginal general document path
dstFilePathrequiredstringEncrypted secure document path

Response

NameTypeDescription
codeint0 : Success
Value other than 0: Error
messagestring"OK" : Success
Other Value Error Message

Examples

Request

  • Body
{
"licenseKey" : "EFB4-19136-DB9E-201B9",
"docuKey" : "UdEOPB2vjsrd0rB9d93blQ==",
"encHeaderInfo" : "eyJlbmNyeXB0ZWQiOnRydWUsImZpbGUiOnsicGF0aCI6IkQ6XF....(생략).....",
"srcFilePath" : "/opt/shieldrm/data/test.xlsx",
"dstFilePath" : "/opt/shieldrm/data/test_enc.xlsx"
}

Response

  • success
{
"code": 0,
"message" : "OK"
}

Response

  • failure
[암호화 문서인 경우]
{
"code": 40010,
"message": "File is already encrypted."
}

[SCSL 실패]
{
"code": -61,
"message": "EXCEPTION error"
}